Bug 885262 - [abrt] Zim-0.57-2.fc17: socket.py:224:meth:error: [Errno 2] No such file or directory
[abrt] Zim-0.57-2.fc17: socket.py:224:meth:error: [Errno 2] No such file or d...
Status: CLOSED DUPLICATE of bug 975699
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:24297ed8d5fb28326950878945e...
:
: 878665 892676 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 18:38 EST by aten
Modified: 2013-08-24 01:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (12 bytes, text/plain)
2012-12-07 18:39 EST, aten
no flags Details
File: dso_list (33 bytes, text/plain)
2012-12-07 18:39 EST, aten
no flags Details
File: environ (1.44 KB, text/plain)
2012-12-07 18:40 EST, aten
no flags Details
File: smolt_data (2.36 KB, text/plain)
2012-12-07 18:40 EST, aten
no flags Details
File: core_backtrace (684 bytes, text/plain)
2012-12-07 18:40 EST, aten
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1088351 None None None Never

  None (edit)
Description aten 2012-12-07 18:38:42 EST
Version-Release number of selected component:
Zim-0.57-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/zim --plugin trayicon
kernel:         3.6.7-4.fc17.x86_64

backtrace:
:socket.py:224:meth:error: [Errno 2] No such file or directory
:
:Traceback (most recent call last):
:  File "/usr/bin/zim", line 73, in <module>
:    zim.main(argv)
:  File "/usr/lib/python2.7/site-packages/zim/__init__.py", line 472, in main
:    module.main(*args)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/trayicon.py", line 36, in main
:    if not server.has_object(obj):
:  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 699, in call
:    conn = Client(SERVER_ADDRESS, SERVER_ADDRESS_FAMILY)
:  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 169, in Client
:    c = SocketClient(address)
:  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 293, in SocketClient
:    s.connect(address)
:  File "/usr/lib64/python2.7/socket.py", line 224, in meth
:    return getattr(self._sock,name)(*args)
:error: [Errno 2] No such file or directory
:
:Local variables in innermost frame:
:self: <socket._socketobject object at 0x7f9cdf7e78a0>
:args: ('/tmp/zim-korneta/zim-server-socket',)
:name: 'connect'

Potential duplicate bug: 878665
Comment 1 aten 2012-12-07 18:39:57 EST
Created attachment 659648 [details]
File: executable
Comment 2 aten 2012-12-07 18:39:59 EST
Created attachment 659649 [details]
File: dso_list
Comment 3 aten 2012-12-07 18:40:00 EST
Created attachment 659650 [details]
File: environ
Comment 4 aten 2012-12-07 18:40:02 EST
Created attachment 659651 [details]
File: smolt_data
Comment 5 aten 2012-12-07 18:40:03 EST
Created attachment 659652 [details]
File: core_backtrace
Comment 6 Robin Lee 2012-12-10 01:04:22 EST
*** Bug 878665 has been marked as a duplicate of this bug. ***
Comment 7 Robin Lee 2013-01-07 22:32:13 EST
*** Bug 892676 has been marked as a duplicate of this bug. ***
Comment 8 sahinsureyya 2013-06-14 18:37:41 EDT
Description of problem:
Logged out from and relogged in. Then, I was greeted by this crash warning from Zim, which starts on system tray.

Version-Release number of selected component:
Zim-0.60-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/zim --plugin trayicon
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/zim
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
socket.py:224:meth:error: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/zim", line 74, in <module>
    zim.main(argv)
  File "/usr/lib/python2.7/site-packages/zim/__init__.py", line 474, in main
    module.main(*args)
  File "/usr/lib/python2.7/site-packages/zim/plugins/trayicon.py", line 36, in main
    if not server.has_object(obj):
  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 750, in call
    conn = Client(SERVER_ADDRESS, SERVER_ADDRESS_FAMILY)
  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 169, in Client
    c = SocketClient(address)
  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 293, in SocketClient
    s.connect(address)
  File "/usr/lib64/python2.7/socket.py", line 224, in meth
    return getattr(self._sock,name)(*args)
error: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <socket._socketobject object at 0xe88bb0>
args: ('/tmp/zim-ss/zim-server-socket',)
name: 'connect'
Comment 9 Fedora End Of Life 2013-07-03 23:00:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 05:58:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 aten 2013-08-23 15:55:42 EDT
socket.py:224:meth:error: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/zim", line 74, in <module>
    zim.main(argv)
  File "/usr/lib/python2.7/site-packages/zim/__init__.py", line 474, in main
    module.main(*args)
  File "/usr/lib/python2.7/site-packages/zim/plugins/trayicon.py", line 36, in main
    if not server.has_object(obj):
  File "/usr/lib/python2.7/site-packages/zim/ipc.py", line 750, in call
    conn = Client(SERVER_ADDRESS, SERVER_ADDRESS_FAMILY)
  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 169, in Client
    c = SocketClient(address)
  File "/usr/lib64/python2.7/multiprocessing/connection.py", line 293, in SocketClient
    s.connect(address)
  File "/usr/lib64/python2.7/socket.py", line 224, in meth
    return getattr(self._sock,name)(*args)
error: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <socket._socketobject object at 0x1a684b0>
args: ('/tmp/zim-korneta/zim-server-socket',)
name: 'connect'



Zim-0.60-1.fc18.noarch
Comment 12 Robin Lee 2013-08-24 01:08:40 EDT

*** This bug has been marked as a duplicate of bug 975699 ***

Note You need to log in before you can comment on or make changes to this bug.